Senthil Murugan's Blog

Home » Uncategorized » Chrome version 42 onwards stop supports java plugin

Chrome version 42 onwards stop supports java plugin

Dear Friends,

Please start using IE or Firefox, it is working fine.

http://www.theregister.co.uk/2015/04/14/google_java_chrome_42/

http://news.thewindowsclub.com/google-launches-chrome-42-npapi-push-notifications-76969/

http://www.fiercecio.com/story/newly-released-chrome-42-now-blocks-java-flash-extensions-default/2015-04-15

http://arstechnica.com/information-technology/2015/04/chrome-starts-pushing-java-off-the-web-by-disabling-plugins/

 

https://java.com/en/download/faq/chrome.xml#npapichrome

Enabling NPAPI in Chrome Version 42 and later

As of Chrome Version 42, an additional configuration step is required to continue using NPAPI plugins.

  1. In your URL bar, enter:
    chrome://flags/#enable-npapi
  2. Click the Enable link for the Enable NPAPI configuration option.
  3. Click the Relaunch button that now appears at the bottom of the configuration page.

Developers and System administrators looking for alternative ways to support users of Chrome should see this blog, in particular “Running Web Start applications outside of a browser” and “Additional Deployment Options” section.

==============================================

Chrome 42 supports PPAPI, a new API and hence the incompatible extensions and plugins are blocked by default. NPAPI is an old and obsolete API and often leads to plugin crash/hang and other security incidents, hence Google decided discarding it in its latest web browser update.

Any content requiring NPAPI will not load on Chrome 42 and there won’t be any error messages either. But if you are using those plugins via the web browser, you might get a prompt to install a relevant plugin.

Furthermore, no NPAPI based plugins or extensions will be available in the Google Web Store, search results as well as in the category pages. Google urges the developers to update their NPAPI based extension to make them compatible to the latest Chrome 42.

Existing users can however, still use those plugins by re-enabling them directly in their web browser. Just type Chrome://flags on the address bar, scroll down and locate NPAPI settings and click on enable. Restart the browser and you can use those plugins. Google will disable the support completely by coming September and users can use the NPAPI based plugins till then.

Chrome 42 also brings many bug fixes, security updates, and functionality improvements. Many security vulnerabilities are also addressed in the latest update including Cross-origin bypass, Scheme issues, Open Search, HSTS bypass in Web sockets and more.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: